# `ngTap` (directive in module `ngMobile` )

Improve this doc

## Description

Specify custom behavior when element is tapped on a touchscreen device. A tap is a brief, down-and-up touch without much motion.

## Usage

as attribute

    <ANY ng-tap
         ngClick="{expression}">
       ...
    </ANY>

as class

    <ANY class="ng-tap ngClick: {expression};">
       ...
    </ANY>

### Parameters

- `ngClick – {expression} –`

  Expression to evaluate upon tap. (Event object is available as `$event`)

## Example

#### Source

#### Demo